Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F170635829
D59041.id.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D59041.id.diff
View Options
diff --git a/tools/tools/nanobsd/_xxx_includes.subr b/tools/tools/nanobsd/_xxx_includes.subr
--- a/tools/tools/nanobsd/_xxx_includes.subr
+++ b/tools/tools/nanobsd/_xxx_includes.subr
@@ -108,3 +108,25 @@
echo "./sys type=link uname=root gname=wheel mode=0755 link=usr/src/sys" >> "$NANO_METALOG"
fi
}
+
+#
+# pkg triggers should not need a chroot (lua script)
+# https://github.com/freebsd/pkg/issues/2673
+# Installing pkgbase as a user into a directory, these errors are thrown:
+# ldconfig: mkstemp(/var/run/ld-elf.so.hints.z0DWDA): Permission denied
+# pkg: Failed to create /triggers:Bad file descriptor
+#
+_xxx_tgt_pkg_triggers() {
+ if ! $do_root; then
+ # Repopulate mandoc dbs and add to metalog
+ for mandir in usr/share/man usr/share/openssl/man; do
+ [ -d "${NANO_WORLDDIR}/${mandir}" ] || continue
+ makewhatis "${NANO_WORLDDIR}/${mandir}" 2>/dev/null || true
+ metalog_add_data "./${mandir}/mandoc.db"
+ done
+ [ -d "${NANO_WORLDDIR}/var/db/pkg/triggers" ] &&
+ find "${NANO_WORLDDIR}/var/db/pkg/triggers" -type f -delete
+ else
+ tgt_pkg_chroot triggers
+ fi
+}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sun, Sep 6, 6:09 PM (1 h, 21 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
37587812
Default Alt Text
D59041.id.diff (1 KB)
Attached To
Mode
D59041: nanobsd: Add _xxx_tgt_pkg_triggers
Attached
Detach File
Event Timeline
Log In to Comment